Package org.zkoss.zk.ui

## Class ArithmeticWrongValueException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.zkoss.lang.SystemException
        - - org.zkoss.zk.ui.UiException
          - - org.zkoss.zk.ui.OperationException
            - - org.zkoss.zk.ui.WrongValueException
              - - org.zkoss.zk.ui.ArithmeticWrongValueException

- All Implemented Interfaces:
    `java.io.Serializable`, `Expectable`, `Messageable`, `MessageConst`

      public class ArithmeticWrongValueException
      extends WrongValueException

  For ArithmeticException wrong value wrapper.
  Since:
    5.0.11
  Author:
    tony
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.ui.UiException

      `UiException.Aide`

    - ### Nested classes/interfaces inherited from interface org.zkoss.mesg.MessageConst

      `MessageConst.BundleInfo`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.lang.SystemException

      `_code`

    - ### Fields inherited from interface org.zkoss.mesg.MessageConst

      `NULL_CODE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArithmeticWrongValueException()` |
    `ArithmeticWrongValueException​(int code)` |
    `ArithmeticWrongValueException​(int code, java.lang.Object fmtArg)` |
    `ArithmeticWrongValueException​(int code, java.lang.Object[] fmtArgs)` |
    `ArithmeticWrongValueException​(int code, java.lang.Object[] fmtArgs, java.lang.Throwable cause)` |
    `ArithmeticWrongValueException​(int code, java.lang.Object fmtArg, java.lang.Throwable cause)` |
    `ArithmeticWrongValueException​(int code, java.lang.Throwable cause)` |
    `ArithmeticWrongValueException​(java.lang.Object value)` |
    `ArithmeticWrongValueException​(java.lang.String s)` |
    `ArithmeticWrongValueException​(java.lang.String msg, java.lang.Throwable cause)` |
    `ArithmeticWrongValueException​(java.lang.Throwable cause)` |
    `ArithmeticWrongValueException​(Component comp, int code)` |
    `ArithmeticWrongValueException​(Component comp, int code, java.lang.Object fmtArg)` |
    `ArithmeticWrongValueException​(Component comp, int code, java.lang.Object[] fmtArgs)` |
    `ArithmeticWrongValueException​(Component comp, int code, java.lang.Object[] fmtArgs, java.lang.Object value)` |
    `ArithmeticWrongValueException​(Component comp, java.lang.String msg, java.lang.Object value)` |
    `ArithmeticWrongValueException​(Component comp, java.lang.String msg, java.lang.Throwable cause, java.lang.Object value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getValue()` |

    - ### Methods inherited from class org.zkoss.zk.ui.WrongValueException

      `getComponent`

    - ### Methods inherited from class org.zkoss.lang.SystemException

      `getCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArithmeticWrongValueException

          public ArithmeticWrongValueException​(Component comp,
                                               java.lang.String msg,
                                               java.lang.Throwable cause,
                                               java.lang.Object value)

    - #### ArithmeticWrongValueException

          public ArithmeticWrongValueException​(Component comp,
                                               java.lang.String msg,
                                               java.lang.Object value)

    - #### ArithmeticWrongValueException

          public ArithmeticWrongValueException​(java.lang.Object value)

    - #### ArithmeticWrongValueException

          public ArithmeticWrongValueException()

    - #### ArithmeticWrongValueException

          public ArithmeticWrongValueException​(Component comp,
                                               int code,
                                               java.lang.Object[] fmtArgs,
                                               java.lang.Object value)

    - #### ArithmeticWrongValueException

          public ArithmeticWrongValueException​(Component comp,
                                               int code,
                                               java.lang.Object[] fmtArgs)

    - #### ArithmeticWrongValueException

          public ArithmeticWrongValueException​(Component comp,
                                               int code,
                                               java.lang.Object fmtArg)

    - #### ArithmeticWrongValueException

          public ArithmeticWrongValueException​(Component comp,
                                               int code)

    - #### ArithmeticWrongValueException

          public ArithmeticWrongValueException​(int code,
                                               java.lang.Object fmtArg,
                                               java.lang.Throwable cause)

    - #### ArithmeticWrongValueException

          public ArithmeticWrongValueException​(int code,
                                               java.lang.Object fmtArg)

    - #### ArithmeticWrongValueException

          public ArithmeticWrongValueException​(int code,
                                               java.lang.Object[] fmtArgs,
                                               java.lang.Throwable cause)

    - #### ArithmeticWrongValueException

          public ArithmeticWrongValueException​(int code,
                                               java.lang.Object[] fmtArgs)

    - #### ArithmeticWrongValueException

          public ArithmeticWrongValueException​(int code,
                                               java.lang.Throwable cause)

    - #### ArithmeticWrongValueException

          public ArithmeticWrongValueException​(int code)

    - #### ArithmeticWrongValueException

          public ArithmeticWrongValueException​(java.lang.String msg,
                                               java.lang.Throwable cause)

    - #### ArithmeticWrongValueException

          public ArithmeticWrongValueException​(java.lang.String s)

    - #### ArithmeticWrongValueException

          public ArithmeticWrongValueException​(java.lang.Throwable cause)

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue()

      Returns:
        the value that causes the exception.